Skip to main content

System Requirements

  • My Content has the same system requirements (Internet Explorer 7, Firefox 3, latest Java client, etc.) as Blackboard. If you can successfully use Blackboard, you can use My Content!
  • File name and file types requirements are the same for My Content as they are for Blackboard.
Open /*deleted href=#openmobile*/